﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.DataPresenter;

namespace ColorBackgroundForAlternatingRows
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ObservableCollection<Accounts> data = new ObservableCollection<Accounts>();
            data.Add(new Accounts
            {
                field1 = 21.12222,
                field2 = "text1",
                field3 = "text1",
                listOfDetails = new List<AccountDetails> 
            { new AccountDetails{ detail1 = "a1", detail2 = "a2"},
              new AccountDetails{ detail1 = "b1", detail2 = "b2"},
              new AccountDetails{ detail1 = "c1", detail2 = "c2"}
            }
            });
            data.Add(new Accounts
            {
                field1 = 56.6,
                field2 = "some text1",
                field3 = "some text1",
                listOfDetails = new List<AccountDetails> 
                {
                    new AccountDetails{ detail1 = "a3", detail2 = "a4"},
                    new AccountDetails{ detail1 = "b3", detail2 = "b4"},
                    new AccountDetails{ detail1 = "c3", detail2 = "c4"}
                }
            });

            data.Add(new Accounts
            {
                field1 = 87.6,
                field2 = "some text2",
                field3 = "some text2",
                listOfDetails = new List<AccountDetails> 
                {
                    new AccountDetails{ detail1 = "a5", detail2 = "a6"},
                    new AccountDetails{ detail1 = "b5", detail2 = "b6"},
                    new AccountDetails{ detail1 = "c5", detail2 = "c6"}
                }
            });
            data.Add(new Accounts
            {
                field1 = 87.6,
                field2 = "some text2",
                field3 = "some text2",
                listOfDetails = new List<AccountDetails> 
                {
                    new AccountDetails{ detail1 = "a5", detail2 = "a6"},
                    new AccountDetails{ detail1 = "b5", detail2 = "b6"},
                    new AccountDetails{ detail1 = "c5", detail2 = "c6"}
                }
            });
            DataContext = data;
        }
    }

    public class IndexToAlternateRecordConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return (int)value % 2 != 0;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}
